<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: Globals</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li class="current"><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="globals.xhtml"><span>All</span></a></li>
      <li class="current"><a href="globals_func.xhtml"><span>Functions</span></a></li>
      <li><a href="globals_vars.xhtml"><span>Variables</span></a></li>
      <li><a href="globals_type.xhtml"><span>Typedefs</span></a></li>
      <li><a href="globals_defs.xhtml"><span>Macros</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="globals_func.xhtml#index_a"><span>a</span></a></li>
      <li><a href="globals_func_b.xhtml#index_b"><span>b</span></a></li>
      <li><a href="globals_func_c.xhtml#index_c"><span>c</span></a></li>
      <li><a href="globals_func_d.xhtml#index_d"><span>d</span></a></li>
      <li><a href="globals_func_e.xhtml#index_e"><span>e</span></a></li>
      <li><a href="globals_func_f.xhtml#index_f"><span>f</span></a></li>
      <li><a href="globals_func_g.xhtml#index_g"><span>g</span></a></li>
      <li><a href="globals_func_h.xhtml#index_h"><span>h</span></a></li>
      <li><a href="globals_func_i.xhtml#index_i"><span>i</span></a></li>
      <li><a href="globals_func_l.xhtml#index_l"><span>l</span></a></li>
      <li class="current"><a href="globals_func_m.xhtml#index_m"><span>m</span></a></li>
      <li><a href="globals_func_n.xhtml#index_n"><span>n</span></a></li>
      <li><a href="globals_func_o.xhtml#index_o"><span>o</span></a></li>
      <li><a href="globals_func_p.xhtml#index_p"><span>p</span></a></li>
      <li><a href="globals_func_r.xhtml#index_r"><span>r</span></a></li>
      <li><a href="globals_func_s.xhtml#index_s"><span>s</span></a></li>
      <li><a href="globals_func_t.xhtml#index_t"><span>t</span></a></li>
      <li><a href="globals_func_u.xhtml#index_u"><span>u</span></a></li>
      <li><a href="globals_func_v.xhtml#index_v"><span>v</span></a></li>
      <li><a href="globals_func_w.xhtml#index_w"><span>w</span></a></li>
      <li><a href="globals_func_y.xhtml#index_y"><span>y</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('globals_func_m.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_m"></a>- m -</h3><ul>
<li>magnitude_l1()
: <a class="el" href="magnitude__phase_8cl.xhtml#aedc7e5ee4cb8f5a0240e422f9a9e7ce9">magnitude_phase.cl</a>
</li>
<li>magnitude_l2()
: <a class="el" href="magnitude__phase_8cl.xhtml#aec9387519a61474acb0b2bf90ef6d94d">magnitude_phase.cl</a>
</li>
<li>magnitude_phase()
: <a class="el" href="magnitude__phase_8cl.xhtml#a76ac02e1f05a26f67090c9464434e04a">magnitude_phase.cl</a>
</li>
<li>main()
: <a class="el" href="cl__convolution_8cpp.xhtml#a217dbf8b442f20279ea00b898af96f52">cl_convolution.cpp</a>
, <a class="el" href="neon__scale_8cpp.xhtml#a217dbf8b442f20279ea00b898af96f52">neon_scale.cpp</a>
, <a class="el" href="neoncl__scale__median__gaussian_8cpp.xhtml#a217dbf8b442f20279ea00b898af96f52">neoncl_scale_median_gaussian.cpp</a>
, <a class="el" href="cl__events_8cpp.xhtml#a217dbf8b442f20279ea00b898af96f52">cl_events.cpp</a>
, <a class="el" href="neon__convolution_8cpp.xhtml#a217dbf8b442f20279ea00b898af96f52">neon_convolution.cpp</a>
, <a class="el" href="neon__copy__objects_8cpp.xhtml#a217dbf8b442f20279ea00b898af96f52">neon_copy_objects.cpp</a>
</li>
<li>main_cl_convolution()
: <a class="el" href="cl__convolution_8cpp.xhtml#a63683d6451d68be4415ea2a694b350e7">cl_convolution.cpp</a>
</li>
<li>main_cl_events()
: <a class="el" href="cl__events_8cpp.xhtml#a5eb01b416cc3221d024edaf6eddee305">cl_events.cpp</a>
</li>
<li>main_neon_convolution()
: <a class="el" href="neon__convolution_8cpp.xhtml#ac741ff15d9366f7bf55dc470e87144d3">neon_convolution.cpp</a>
</li>
<li>main_neon_copy_objects()
: <a class="el" href="neon__copy__objects_8cpp.xhtml#a548cd646528b7a0644cb08e483e7ee2b">neon_copy_objects.cpp</a>
</li>
<li>main_neon_scale()
: <a class="el" href="neon__scale_8cpp.xhtml#a8311a04cc09fb45ff5126dc74b6c6dcb">neon_scale.cpp</a>
</li>
<li>main_neoncl_scale_median_gaussian()
: <a class="el" href="neoncl__scale__median__gaussian_8cpp.xhtml#a4003cb8b626a6604e2f51b8e17f8bb3d">neoncl_scale_median_gaussian.cpp</a>
</li>
<li>mean_stddev_accumulate()
: <a class="el" href="mean__stddev_8cl.xhtml#a35eedf10476f85a87aa70a4292dd380a">mean_stddev.cl</a>
</li>
<li>median_box5x5()
: <a class="el" href="non__linear__filter5x5_8cl.xhtml#ac943e4049581c4aa48abecb270d36fd8">non_linear_filter5x5.cl</a>
</li>
<li>median_disk5x5()
: <a class="el" href="non__linear__filter5x5_8cl.xhtml#a8a1966a000958e0d48cdc182da9c8bdf">non_linear_filter5x5.cl</a>
</li>
<li>minmax()
: <a class="el" href="minmaxloc_8cl.xhtml#a57351025b140b0b9ef881714d32d84d3">minmaxloc.cl</a>
</li>
<li>minmaxloc()
: <a class="el" href="minmaxloc_8cl.xhtml#a31ce1a75df24b2037dc76f1748236579">minmaxloc.cl</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:11 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
